unit WaveMain;

interface

uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, SRWave;

type
  TMainForm = class(TForm)
    WavePlayer: TSRWavePlayer;
    BtnPlay: TButton;
    BtnStop: TButton;
    CBLoop: TCheckBox;
    CBAsync: TCheckBox;
    procedure BtnPlayClick(Sender: TObject);
    procedure BtnStopClick(Sender: TObject);
    procedure CBLoopClick(Sender: TObject);
    procedure CBAsyncClick(Sender: TObject);
    procedure PlayerBeforePlay(Sender: TObject);
    procedure PlayerAfterPlay(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.BtnPlayClick(Sender: TObject);
begin
  WavePlayer.Play;
end;

procedure TMainForm.BtnStopClick(Sender: TObject);
begin
  WavePlayer.Stop;
end;

procedure TMainForm.CBLoopClick(Sender: TObject);
begin
  WavePlayer.Loop:=CBLoop.Checked;
end;

procedure TMainForm.CBAsyncClick(Sender: TObject);
begin
  WavePlayer.Async:=CBAsync.Checked;
  CBLoop.Enabled:=CBAsync.Checked;
end;

procedure TMainForm.PlayerBeforePlay(Sender: TObject);
begin
  BtnStop.Enabled:=false;
  CBAsync.Enabled:=false;
  CBLoop.Enabled:=false;
end;

procedure TMainForm.PlayerAfterPlay(Sender: TObject);
begin
  BtnStop.Enabled:=true;
  CBAsync.Enabled:=true;
  CBLoop.Enabled:=CBAsync.Checked;
end;

end.
